summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: af0e4ac)
raw | patch | inline | side by side (parent: af0e4ac)
author | Santi Béjar <sbejar@gmail.com> | |
Wed, 3 Jan 2007 12:59:00 +0000 (13:59 +0100) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Wed, 3 Jan 2007 20:31:43 +0000 (12:31 -0800) |
This way "git tag -v $tag" is the UI for git-verify-tag.
Signed-off-by: Santi Béjar <sbejar@gmail.com>
Signed-off-by: Junio C Hamano <junkio@cox.net>
Signed-off-by: Santi Béjar <sbejar@gmail.com>
Signed-off-by: Junio C Hamano <junkio@cox.net>
Documentation/git-tag.txt | patch | blob | history | |
generate-cmdlist.sh | patch | blob | history | |
git-tag.sh | patch | blob | history |
index 48b82b86f83df4e3fb381da329b48fe12a4ce82d..80bece0775d14206028254c0bd2ed286b81aa180 100644 (file)
SYNOPSIS
--------
[verse]
-'git-tag' [-a | -s | -u <key-id>] [-f | -d] [-m <msg> | -F <file>]
+'git-tag' [-a | -s | -u <key-id>] [-f | -d | -v] [-m <msg> | -F <file>]
<name> [<head>]
'git-tag' -l [<pattern>]
`-d <tag>` deletes the tag.
+`-v <tag>` verifies the gpg signature of the tag.
+
`-l <pattern>` lists tags that match the given pattern (or all
if no pattern is given).
-d::
Delete an existing tag with the given name
+-v::
+ Verify the gpg signature of given the tag
+
-l <pattern>::
List tags that match the given pattern (or all if no pattern is given).
diff --git a/generate-cmdlist.sh b/generate-cmdlist.sh
index 06c42b042d999856aacb9e156cffc39eb8dbce3f..1de14ea82fe678e3afb66ea11d6dd6e306158387 100755 (executable)
--- a/generate-cmdlist.sh
+++ b/generate-cmdlist.sh
show-branch
status
tag
-verify-tag
EOF
while read cmd
do
diff --git a/git-tag.sh b/git-tag.sh
index e1bfa82f1ea1213fad8ff8c4b6ad2b17e6ca1f7e..ecb9100e4b3a7d1ce0227fde447f675376aaf29a 100755 (executable)
--- a/git-tag.sh
+++ b/git-tag.sh
#!/bin/sh
# Copyright (c) 2005 Linus Torvalds
-USAGE='-l [<pattern>] | [-a | -s | -u <key-id>] [-f | -d] [-m <msg>] <tagname> [<head>]'
+USAGE='-l [<pattern>] | [-a | -s | -u <key-id>] [-f | -d | -v] [-m <msg>] <tagname> [<head>]'
SUBDIRECTORY_OK='Yes'
. git-sh-setup
message=
username=
list=
+verify=
while case "$#" in 0) break ;; esac
do
case "$1" in
echo "Deleted tag $tag_name."
exit $?
;;
+ -v)
+ shift
+ tag_name="$1"
+ tag=$(git-show-ref --verify --hash -- "refs/tags/$tag_name") ||
+ die "Seriously, what tag are you talking about?"
+ git-verify-tag -v "$tag"
+ exit $?
+ ;;
-*)
usage
;;